package com.ssj.dao.conch.conch.dao;

import com.ssj.bean.conch.conch.domain.SconPadInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author yangcan
 * 类描述:小塾学伴pad dao
 * 创建时间:2019/11/7 10:30
 */
@Repository
public interface SconPadInfoDao extends JpaRepository<SconPadInfo, String> {

    SconPadInfo findTopByPadCode(String padCode);

    SconPadInfo findTopByPadCodeAndPlatform(String padCode,String platform);

    List<SconPadInfo> findByVipId(String vipId);

    SconPadInfo findTopByVipId(String vipId);

    SconPadInfo findTopByVipIdAndType(String vipId,int type);

    SconPadInfo findTopByUserIdAndType(String userId, int type);

    List<SconPadInfo> findByUserId(String userId);
}
